const arcData = [
	{ label: 'A', startAngle: 0, endAngle: 0.2 },
	{ label: 'B', startAngle: 0.2, endAngle: 0.6 },
	{ label: 'C', startAngle: 0.6, endAngle: 1.4 },
	{ label: 'D', startAngle: 1.4, endAngle: 3 },
	{ label: 'E', startAngle: 3, endAngle: 2 * Math.PI }
];

const arcGenerator = d3.arc()
	.innerRadius(20)
	.outerRadius(100);

// Create a path element and set its d attribute
d3.select('g')
	.selectAll('path')
	.data(arcData)
	.join('path')
	.attr('fill', 'orange')
	.attr('stroke', 'white')
	.attr('d', arcGenerator);

d3.select('g')
	.selectAll('text')
	.data(arcData)
	.join('text')
	.each(function(d) {
		var centroid = arcGenerator.centroid(d);
		d3.select(this)
			.attr('x', centroid[0])
			.attr('y', centroid[1])
			.attr('dy', '0.33em')
  		.attr('fill', 'white')
			.text(d.label);
	});